CppUnit project page | FAQ

Public Member Functions | Private Member Functions | Private Attributes | List of all members
SynchronizedObject::ExclusiveZone Class Reference

Locks a synchronization object in the current scope. More...

`#include <SynchronizedObject.h>`

Collaboration diagram for SynchronizedObject::ExclusiveZone:
[legend]

## Public Member Functions
| ExclusiveZone (SynchronizationObject *syncObject)
| ~ExclusiveZone ()

## Private Member Functions
| ExclusiveZone (const ExclusiveZone &)
| Prevents the use of the copy constructor.
ExclusiveZone & | operator= (const ExclusiveZone &)
| Prevents the use of the copy operator.

## Private Attributes
SynchronizationObject * | m_syncObject

## Detailed Description

Locks a synchronization object in the current scope.

## Constructor & Destructor Documentation

## ◆ ExclusiveZone() [1/2]

SynchronizedObject::ExclusiveZone::ExclusiveZone | ( | SynchronizationObject * | syncObject | ) |
| inline

## ◆ ~ExclusiveZone()

SynchronizedObject::ExclusiveZone::~ExclusiveZone | ( |  | ) |
| inline

## ◆ ExclusiveZone() [2/2]

SynchronizedObject::ExclusiveZone::ExclusiveZone | ( | const ExclusiveZone & |  | ) |
| private

Prevents the use of the copy constructor.

## Member Function Documentation

## ◆ operator=()

ExclusiveZone & SynchronizedObject::ExclusiveZone::operator= | ( | const ExclusiveZone & |  | ) |
| private

Prevents the use of the copy operator.

## Member Data Documentation

## ◆ m_syncObject

SynchronizationObject* SynchronizedObject::ExclusiveZone::m_syncObject
| private

The documentation for this class was generated from the following file:

- SynchronizedObject.h

| Send comments to: CppUnit Developers